[arch-commits] Commit in twisted/repos (6 files)
Felix Yan
fyan at nymeria.archlinux.org
Sun May 18 15:46:18 UTC 2014
Date: Sunday, May 18, 2014 @ 17:46:18
Author: fyan
Revision: 213062
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
twisted/repos/testing-i686/
twisted/repos/testing-i686/PKGBUILD
(from rev 213061, twisted/trunk/PKGBUILD)
twisted/repos/testing-i686/python2-twisted.install
(from rev 213061, twisted/trunk/python2-twisted.install)
twisted/repos/testing-x86_64/
twisted/repos/testing-x86_64/PKGBUILD
(from rev 213061, twisted/trunk/PKGBUILD)
twisted/repos/testing-x86_64/python2-twisted.install
(from rev 213061, twisted/trunk/python2-twisted.install)
----------------------------------------+
testing-i686/PKGBUILD | 72 +++++++++++++++++++++++++++++++
testing-i686/python2-twisted.install | 3 +
testing-x86_64/PKGBUILD | 72 +++++++++++++++++++++++++++++++
testing-x86_64/python2-twisted.install | 3 +
4 files changed, 150 insertions(+)
Copied: twisted/repos/testing-i686/PKGBUILD (from rev 213061, twisted/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2014-05-18 15:46:18 UTC (rev 213062)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=14.0.0
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface'
+ 'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
+source=("http://twistedmatrix.com/Releases/Twisted/${pkgver%.*}/Twisted-$pkgver.tar.bz2")
+sha1sums=('a90fae98072f8e28b9459875ce9b77f5524bbc48')
+
+prepare() {
+ cp -a "Twisted-$pkgver"{,-py2}
+
+ cd "Twisted-$pkgver-py2"
+ sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+ twisted/python/test/pullpipe.py \
+ twisted/mail/test/pop3testserver.py \
+ twisted/trial/test/scripttest.py
+}
+
+build() {
+ cd "$srcdir/Twisted-$pkgver"
+ python3 setup.py build
+
+ cd "$srcdir/Twisted-$pkgver-py2"
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir/Twisted-$pkgver"
+ #python bin/trial twisted
+
+ cd "$srcdir/Twisted-$pkgver-py2"
+ python2 bin/trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+ depends=('python-crypto' 'python-zope-interface')
+ optdepends=('python-pyopenssl'
+ 'python-service-identity: for TLS client hostname verification'
+ 'python-pyasn1: for using conch'
+ 'tk: for using tkconch')
+
+ cd "Twisted-$pkgver"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_python2-twisted() {
+ depends=('python2-crypto' 'python2-zope-interface')
+ optdepends=('python2-pyopenssl'
+ 'python2-service-identity: for TLS client hostname verification'
+ 'python2-soappy: for twisted.web.soap'
+ 'python2-pyasn1: for using conch'
+ 'pygtk: for using manhole'
+ 'tk: for using tkconch')
+ provides=("twisted=$pkgver")
+ conflicts=('twisted<14.0.0')
+ replaces=('twisted<14.0.0')
+
+ cd "Twisted-$pkgver-py2"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
Copied: twisted/repos/testing-i686/python2-twisted.install (from rev 213061, twisted/trunk/python2-twisted.install)
===================================================================
--- testing-i686/python2-twisted.install (rev 0)
+++ testing-i686/python2-twisted.install 2014-05-18 15:46:18 UTC (rev 213062)
@@ -0,0 +1,3 @@
+pre_install() {
+ rm -f /usr/lib/python2.7/site-packages/twisted/plugins/dropin.cache
+}
Copied: twisted/repos/testing-x86_64/PKGBUILD (from rev 213061, twisted/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2014-05-18 15:46:18 UTC (rev 213062)
@@ -0,0 +1,72 @@
+# $Id$
+# Maintainer : Ionut Biru <ibiru at archlinux.org>
+# Contributor: Juergen Hoetzel <juergen at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgbase=twisted
+pkgname=(python-twisted python2-twisted)
+pkgver=14.0.0
+pkgrel=1
+pkgdesc="Asynchronous networking framework written in Python"
+arch=('i686' 'x86_64')
+url="http://twistedmatrix.com/"
+license=('MIT')
+makedepends=('python-crypto' 'python2-crypto' 'python-zope-interface' 'python2-zope-interface'
+ 'python-setuptools' 'python2-setuptools' 'python-service-identity' 'python2-service-identity')
+source=("http://twistedmatrix.com/Releases/Twisted/${pkgver%.*}/Twisted-$pkgver.tar.bz2")
+sha1sums=('a90fae98072f8e28b9459875ce9b77f5524bbc48')
+
+prepare() {
+ cp -a "Twisted-$pkgver"{,-py2}
+
+ cd "Twisted-$pkgver-py2"
+ sed -i 's:^#!.*bin.*python:#!/usr/bin/python2:' \
+ twisted/python/test/pullpipe.py \
+ twisted/mail/test/pop3testserver.py \
+ twisted/trial/test/scripttest.py
+}
+
+build() {
+ cd "$srcdir/Twisted-$pkgver"
+ python3 setup.py build
+
+ cd "$srcdir/Twisted-$pkgver-py2"
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir/Twisted-$pkgver"
+ #python bin/trial twisted
+
+ cd "$srcdir/Twisted-$pkgver-py2"
+ python2 bin/trial twisted || warning "Tests failed"
+}
+
+package_python-twisted() {
+ depends=('python-crypto' 'python-zope-interface')
+ optdepends=('python-pyopenssl'
+ 'python-service-identity: for TLS client hostname verification'
+ 'python-pyasn1: for using conch'
+ 'tk: for using tkconch')
+
+ cd "Twisted-$pkgver"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
+
+package_python2-twisted() {
+ depends=('python2-crypto' 'python2-zope-interface')
+ optdepends=('python2-pyopenssl'
+ 'python2-service-identity: for TLS client hostname verification'
+ 'python2-soappy: for twisted.web.soap'
+ 'python2-pyasn1: for using conch'
+ 'pygtk: for using manhole'
+ 'tk: for using tkconch')
+ provides=("twisted=$pkgver")
+ conflicts=('twisted<14.0.0')
+ replaces=('twisted<14.0.0')
+
+ cd "Twisted-$pkgver-py2"
+ python2 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+ install -D -m644 LICENSE "$pkgdir/usr/share/licenses/$pkgname/LICENSE"
+}
Copied: twisted/repos/testing-x86_64/python2-twisted.install (from rev 213061, twisted/trunk/python2-twisted.install)
===================================================================
--- testing-x86_64/python2-twisted.install (rev 0)
+++ testing-x86_64/python2-twisted.install 2014-05-18 15:46:18 UTC (rev 213062)
@@ -0,0 +1,3 @@
+pre_install() {
+ rm -f /usr/lib/python2.7/site-packages/twisted/plugins/dropin.cache
+}
More information about the arch-commits
mailing list